import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listTask(query) {
  return request({
    url: '/app/task/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getTask(taskId) {
  return request({
    url: '/app/task/' + taskId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addTask(data) {
  return request({
    url: '/app/task',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateTask(data) {
  return request({
    url: '/app/task',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delTask(taskId) {
  return request({
    url: '/app/task/' + taskId,
    method: 'delete'
  })
}

export function taskOutRequest(data) {
  return request({
    url: '/app/task/createOutRequest',
    method: 'post',
    data: data
  })
}
